function ConnectDropbox() {
    ddx.send("ConnectDropbox");
}

function Disconnect() {
    ddx.send("Disconnect");
}

function ConnectBox() {
    ddx.send("ConnectBox");
}

function ConnectBaiduPCS() {
	ddx.send("ConnectBaiduPCS");
}

function ConnectGoogleDrive() {
	ddx.send("ConnectGoogleDrive");
}

function ConnectOneDrive() {
	ddx.send("ConnectOneDrive");
}

var providers = ["dropbox", "box", "baidupcs", "onedrive", "googledrive"];

function SetCloud(cloud) {
    if (cloud) {
        document.getElementById('pick').style.display = 'none';
        document.getElementById('disconnect').style.display = 'block';
    } else {
        document.getElementById('pick').style.display = 'block';
        document.getElementById('disconnect').style.display = 'none';
        //no cloud, don't need disconnect ui
        return;
    }
    var current_provider = cloud.toLowerCase();
    for(var i = 0; i < providers.length; ++i) {
        var provider = providers[i];
    	if (provider == current_provider)
    	{
    		document.getElementById(provider + '-disconnect-text').style.display = 'block';
    		document.getElementById('disconnect-icon').className = 'cloud-option-icon ' + provider + '-icon';
    	}
		else
    		document.getElementById(provider + '-disconnect-text').style.display = 'none';
    }
}

function PostLayout() {
    new FastButton(document.getElementById("dropbox-button"), ConnectDropbox);
    new FastButton(document.getElementById("box-button"), ConnectBox);
    new FastButton(document.getElementById("baidupcs-button"), ConnectBaiduPCS);
    new FastButton(document.getElementById("googledrive-button"), ConnectGoogleDrive);
    new FastButton(document.getElementById("onedrive-button"), ConnectOneDrive);
    new FastButton(document.getElementById("disconnect-button"), Disconnect);
}
