
var highlightedDiv = false;

var unselectedColor = "#fff";
var highlightedColor = "#90c7eb";

var broadcaststatus = <% FeedCurrentStatus %>; //close:1, private:2, public:3

function StartBroadcastSetting() {
    ddx.send("StartBroadcastSetting");
}

function SetFeedPublicLock(locked) {
    document.getElementById("myonoffswitch-public").checked = locked;
    document.getElementById("locklabel-public").className = "switch-light switch-android";
}

function SetFeedPrivateLock(locked) {
    document.getElementById("myonoffswitch-private").checked = locked;
    document.getElementById("locklabel-private").className = "switch-light switch-android";
}

function ToggleLock_public() {
    document.getElementById("myonoffswitch-public").checked = !document.getElementById("myonoffswitch-public").checked;
    document.getElementById("locklabel-public").className = "switch-light switch-android";
    if(document.getElementById("myonoffswitch-public").checked == false){
    	document.getElementById("myonoffswitch-private").checked = false;
    	document.getElementById("locklabel-private").className = "switch-light switch-android";
        document.getElementById("lock-section-private").style.opacity = ".3";
    }
    else {
        document.getElementById("lock-section-private").style.opacity = "1";
    }
    ddx.send("PublicSetLock", document.getElementById("myonoffswitch-public").checked);
}

function ToggleLock_private() {
    if(document.getElementById("myonoffswitch-public").checked == true){
    	document.getElementById("myonoffswitch-private").checked = !document.getElementById("myonoffswitch-private").checked;
    	document.getElementById("locklabel-private").className = "switch-light switch-android";
    }
    else{
    	document.getElementById("myonoffswitch-private").checked = false;
    	document.getElementById("locklabel-private").className = "switch-light switch-android";
    }
    ddx.send("PrivateSetLock", document.getElementById("myonoffswitch-private").checked);
}

function DismissActivity() {
    ddx.send("DismissActivity");
}

function InitToggleStatus()
{
    if(broadcaststatus == "3"){
    	document.getElementById("myonoffswitch-public").checked = true;
    	document.getElementById("locklabel-public").className = "switch-light switch-android";
    	document.getElementById("myonoffswitch-private").checked = false;
    	document.getElementById("locklabel-private").className = "switch-light switch-android";
        
        document.getElementById("lock-section-private").style.opacity = "1";
    }
    else if(broadcaststatus == "2"){
		document.getElementById("myonoffswitch-public").checked = true;
    	document.getElementById("locklabel-public").className = "switch-light switch-android";
    	document.getElementById("myonoffswitch-private").checked = true;
    	document.getElementById("locklabel-private").className = "switch-light switch-android";
        
        document.getElementById("lock-section-private").style.opacity = "1";
    }
    else{
    	document.getElementById("myonoffswitch-public").checked = false;
    	document.getElementById("locklabel-public").className = "switch-light switch-android";
    	document.getElementById("myonoffswitch-private").checked = false;
    	document.getElementById("locklabel-private").className = "switch-light switch-android";
    }
}

function PostLayout() {
    new FastButton(document.getElementById("save-button"),  StartBroadcastSetting);
    new FastButton(document.getElementById("cancel-button"),  DismissActivity);
    new FastButton(document.getElementById("toggle-lock-public"),  ToggleLock_public);
    new FastButton(document.getElementById("toggle-lock-private"),  ToggleLock_private);

  	InitToggleStatus();
}
    
hammer.on("tap", function (event) {
    var touchable = getTouchable(event.target);
    if(touchable.id == "backdrop") {
        DismissActivity();
    }
});


hammer.on("swiperight dragright", function (event) {
    var touchable = getTouchable(event.target);
    if(touchable.id == "toggle-lock-public" && document.getElementById("myonoffswitch-public").checked == false) {
        ToggleLock_public();
    }
    else if(touchable.id == "toggle-lock-private" && document.getElementById("myonoffswitch-private").checked == false) {
        ToggleLock_private()
    }
});

hammer.on("swipeleft dragleft", function (event) {
    var touchable = getTouchable(event.target);
    if(touchable.id == "toggle-lock-public" && document.getElementById("myonoffswitch-public").checked == true) {
        ToggleLock_public();
    }
    else if(touchable.id == "toggle-lock-private" && document.getElementById("myonoffswitch-private").checked == true) {
        ToggleLock_private()
    }
});