var desiredGifDownload = null;
var desiredGif = null;
var cancelFunction = function() {};
var longTimer = null;
var displayedImage = null;
var displayedGif = null;
var displayedStill = null;
var bg_loader = null;
var images = [];
var startGif = null;
var last_search = null;
var search_input = null;

var addedListeners = {};
var addedClickListeners = {};
var desiredDownloads = {};

function iOSversion() {
	if (/iP(hone|od|ad)/.test(navigator.platform)) {
    	// supports iOS 2.0 and later: <http://bit.ly/TJjs1V>
    	var v = (navigator.appVersion).match(/OS (\d+)_(\d+)_?(\d+)?/);
    	return [parseInt(v[1], 10), parseInt(v[2], 10), parseInt(v[3] || 0, 10)];
	}
}

function changeViewport()
{
	//ddx.log('GIF search: changeViewport()');

	var viewport = document.querySelector("meta[name=viewport]");
	viewport.setAttribute('content', default_viewport_content);
	//alert('the content of viewport = ' + viewport.getAttribute('content'));

	var body = document.getElementsByTagName('body')[0];
	var body_h = body.offsetHeight;
	var body_w = body.offsetWidth;
	//alert('body_h = ' + body_h);
	//alert('body_w = ' + body_w);

	var new_viewport_content = 'width='+ body_w + 'px,';
   	new_viewport_content += ' height=' + body_h + 'px,';
    new_viewport_content += ' ' + default_viewport_content;
    //alert('new_viewport_content = ' + new_viewport_content);
    viewport.setAttribute('content', new_viewport_content);
}

var default_viewport_content = 'initial-scale=1.0, maximum-scale=1.0, user-scalable=no';

function onLoad(){
	ver = iOSversion();
	if (ver[0] >= 7) {
		var viewport = document.querySelector("meta[name=viewport]");
		if(!viewport) {
			var meta_viewport = '<meta name="viewport" content="' + default_viewport_content + '">';
			document.getElementsByTagName('head')[0].appendChild(meta_viewport);
		}
		default_viewport_content = viewport.getAttribute('content');
		//alert('default_viewport_content = ' + default_viewport_content);

		changeViewport();
		window.addEventListener('orientationchange', changeViewport);
	}
}

function getClickHandlerForObj(objID)
{
    if (addedClickListeners[objID])
        return addedClickListeners[objID];
    else
        return null;
}

function addClickHandlerIfNone(objID, handler) {
    if (addedClickListeners[objID])
        return;
    addedClickListeners[objID] = handler;
}

function addListenerIfNone(objID, startHandler, stopHandler) {
      if (addedListeners[objID])
        return;
      addedListeners[objID] = { "startHandler" : startHandler, "stopHandler" : stopHandler };
      var div = document.getElementById(objID);
      div.addEventListener("touchstart", startHandler);
      div.addEventListener("touchcancel", stopHandler);
      div.addEventListener("touchend", stopHandler);
}

function clearImage() {
    /*if (displayedImage != null) {
        displayedGif.style.backgroundImage = "";
    }*/
    bg_loader.onerror = null;
    bg_loader.onload = null;
    bg_loader.src = "";
    displayedGif = null;
    displayedImage = null;
    displayedStill = null;
}

function displayImage(image, gif, still) {
    clearImage();
    bg_loader.onerror = function() {
        alert('Error downloading GIF.');
        gif.style.backgroundImage = "";
        clearImage();
    }
    bg_loader.onload = function() {
        gif.style.backgroundImage = "url('" + image.gif + "')"
        gif.style.backgroundSize = "cover";
        var startLongPress = function () {
                //gif.className = "gif activated";
                longTimer = window.setTimeout(function() {
                    longTimer = null;
                    postGif(image.gif);
                }, 800);
        };

        var cancel = function(image, gif, still) {
            return function() {
                gif.className = "gif";

                if (longTimer)
                    window.clearTimeout(longTimer);

                longTimer = null;
                cancelFunction = function() {};
            };
        } (image, gif, still);
        cancelFunction = cancel;

        
        displayedStill = still;
        addListenerIfNone(gif.id, startLongPress, cancel);

        var oldClickHandler = getClickHandlerForObj(still.id);
        if (oldClickHandler) {
            var div = document.getElementById(still.id);
            div.removeEventListener("click", oldClickHandler);
        }
    }
    displayedImage = image;
    displayedGif = gif;
    bg_loader.src = image.gif;
}

function postGif(url) {
    //TODO: pass size?
    ddx.send("PostGIF", url);
}

function doSearch() {
    //alert("Do search called");
    var q = search_input.value.trim();
    if (q == last_search || q.length == 0) {
        //alert("returning because last search same or q length is 0");
        return;
    }
	var body = document.getElementsByTagName('body')[0];
    last_search = q;
    if (q == "") {
    	body.style.background = "#ffffff url('<% Asset("Shared/GIFSearch/BG2.png") %>')";
        document.getElementById("directions").style.display = "block";
        document.getElementById("results").innerHTML = "";
        return;
    }
	body.style.background = "#111111 url('')";
    document.getElementById("noresults").style.display = "none";
    document.getElementById("directions").style.display = "none";
    document.getElementById("spinner").style.display = "block";

    // Prepare for new search
    displayedImage = null;
    images = [];
    var results = document.getElementById("results");
    while (results.hasChildNodes()) {
        results.removeChild(results.lastChild);
    }

    // Execute search
    ddx.send("Search", q);
}

function doSearchIfCr(e) {
    if (e.keyCode == 13)
        doSearch();
}

function PostLayout() {
    //alert("Post layout called");
    bg_loader = document.getElementById("bg-loader");
    search_input = document.getElementById("entry-text");

    window.addEventListener("scroll", function() {
        cancelFunction();
    });

    //search_input.addEventListener("blur", doSearch);			//Temp
    search_input.addEventListener("blur", function() {
       setTimeout(doSearch, 50);
    });
    search_input.addEventListener("keyup", doSearchIfCr);

    //make search_icon_div into square shape
    setTimeout(function() {
		var search_icon_div = document.getElementById('search-icon-div');
		var offsetHeight = document.getElementById('search-container').offsetHeight;
		search_icon_div.style.width = offsetHeight;
		var search_div = document.getElementById('search-div');
		search_div.style.marginLeft = offsetHeight;
	}, 200);
}

function ApplyResults(hits) {
    var body = document.getElementsByTagName('body')[0];
    body.style.background = "#111111 url('')";

    var resultsDiv = document.getElementById("results");
    var noresultsDiv = document.getElementById("noresults");

    document.getElementById("spinner").style.display = "none";
    if (hits.length == 0) {
        resultsDiv.style.display = "none";
        noresultsDiv.style.display = "block";
        return;
    }

    resultsDiv.style.display = "block";
    noresultsDiv.style.display = "none";

    for (var i = 0; i < hits.length; ++i) {
        var hit = hits[i];
        var image = {};
        image.gif = hit.URL;
        image.still = hit.StaticURL;
        image.width = hit.ThumbWidth;
        images.push(image);
    }

    var stride = Math.floor(document.body.clientWidth / 160);
    var i = 0;
    for (; i < images.length; i += stride) {
        var total_width = 0;
        for (var j = i; j < i + stride; ++j) {
            if (j >= images.length)
            total_width += 160;
            else
            total_width += images[j].width;
        }

        var line = document.createElement("div");
        line.className = "line";
        for (var j = i; j < i + stride; ++j) {
            if (j >= images.length)
            continue;
            var default_padding = 4;
            var image = images[j];
            var loader = document.createElement("div");
            loader.className = "loader";
            //1. paddingTop
            if(j<stride)
            	paddingTop = default_padding*2;
            else
            	paddingTop = default_padding;
            //2. paddingLeft
            if(j%stride==0)
            	paddingLeft = default_padding*2;
            else
            	paddingLeft = default_padding;
			//3. paddingRight
            if(j%stride==stride-1)
            	paddingRight = default_padding*2;
            else
            	paddingRight = default_padding;
			//4. paddingBottom
            paddingBottom = default_padding;


            loader.style.width = "" + (100 * (image.width-paddingLeft-paddingRight) / total_width) + "%";
            loader.style.paddingLeft = "" + (100 * paddingLeft / total_width) + "%";
            loader.style.paddingRight = "" + (100 * paddingRight / total_width) + "%";
            loader.style.paddingTop = "" + (100 * paddingTop / total_width) + "%";
            loader.style.paddingBottom = "" + (100 * paddingBottom / total_width) + "%";
            loader.style.height = "140px";

            var still = document.createElement("div");
            still.className = "still";
            still.style.backgroundImage = "url('" + image.still + "')";
            still.id = "still" + j.toString();

            var gif = document.createElement("div");
            gif.className = "gif";
            gif.id = j;

            var down = function(image, gif, still) {
                return function() {
                    startGif = gif;
                    displayImage(image, gif, still);
                };
            } (image, gif, still);

            
            var verifyFullsize = function(image, gif, down, still) {
                return function() {
                    if (longTimer)
                        window.clearTimeout(longTimer);
                    if (displayedStill != null)
                    {
                        displayedStill = null;
                    }
                    desiredGif = image;
                    desiredDownloads[gif.id] = down;
                    //desiredGifDownload = down;
                    displayedGif = gif;
                    gif.style.backgroundImage = "url('<% Asset("Shared/Images/loader_light.gif") %>')"
                    gif.style.backgroundSize = "30px";
                    ddx.send("CheckURLValidity", { "Src" : image.gif, "GifId" : gif.id });
                };
            } (image, gif, down, still);

            still.addEventListener("click", verifyFullsize);

            /*var addClickHandler = function(still, verifyFullsize, add) {
                return function() {
                    add(still.id, verifyFullsize);
                };
            } (still, verifyFullsize, addClickHandlerIfNone);*/


            still.appendChild(gif);
            loader.appendChild(still);
            line.appendChild(loader);

        }
        resultsDiv.appendChild(line);
    }

}

function UrlIsValid(args)
 {
    var imageSrc = args["Src"];
    var gifId = args["GifId"];
    ddx.log("GIF seems valid. Starting download...");
    if (desiredDownloads[gifId])
    {
        var down = desiredDownloads[gifId];
        down();
    }   
}

function UrlNotValid(args)
{
    var imageSrc = args["Src"];
    var gifId = args["GifId"];
    ddx.log("GIF not valid. Error.");
    alert("<% LocalizedSorryGIFNOTExists %>");
    clearImage();
    if (desiredDownloads[gifId])
    {
        var gif = document.getElementById(gifId);
        gif.style.backgroundImage = "";
    }   
}

/* Added by Will */

function clearInput()
{
   //inputCleared = 1;
   document.getElementById("entry-text").value = "";
   document.getElementById("entry-text").focus();
   hideX();
}

function searchInputChanged()
{
   var charCount = document.getElementById("entry-text").value.length;
   if (charCount > 0) {
      showX();
   } else {
      hideX();
   }
}

function showX()
{
   document.getElementById("clear-button").style.display = "block";
}

function hideX()
{
   document.getElementById("clear-button").style.display = "none";
}

/* Added by Will */