
var highlightedDiv = false;

var unselectedColor = "#fff";
var highlightedColor = "#90c7eb";

function StartGroupcast() {
    ddx.send("StartGroupcast");
}

function PromptFeedName() {
    ddx.send("PromptFeedName");
}

function SetFeedName(name) {
    document.getElementById("feed-title").innerHTML = name;
}

function ChangePicture() {
    ddx.send("ChangePicture");
}

function SetFeedLock(locked) {
    document.getElementById("myonoffswitch").checked = locked;
    document.getElementById("locklabel").className = "switch-light switch-android";
}

function ToggleLock() {
    document.getElementById("myonoffswitch").checked = !document.getElementById("myonoffswitch").checked;
    document.getElementById("locklabel").className = "switch-light switch-android";

    /*if(!document.getElementById("myonoffswitch").checked) {
        ddx.send("UnprotectedToast");
    }*/
   ddx.send("SetLock", document.getElementById("myonoffswitch").checked);
}

function SetPictureBackground(url) {
    document.getElementById("feed-picture").style.backgroundImage = "url('"+url+"')";
}

function DismissActivity() {
    ddx.send("DismissActivity");
}

function PostLayout() {
    new FastButton(document.getElementById("feed-title"),  PromptFeedName);
    new FastButton(document.getElementById("feed-picture-edit"),  ChangePicture);
    new FastButton(document.getElementById("ok-button"),  StartGroupcast);

    new FastButton(document.getElementById("toggle-lock"),  ToggleLock);
    new FastButton(document.getElementById("backdrop"), DismissActivity);
}


hammer.on("touch", function(event) {
    var touchable = getTouchable(event.target);
    if (touchable == null || touchable.id == "toggle-lock") {
        highlightedDiv = null;
        return;
    }
    highlightedDiv = touchable;
    unselectedColor = highlightedDiv.style.background;
    highlightedDiv.style.background = highlightedColor;
});
hammer.on("release", function(event) {
    if(highlightedDiv != null) 
        highlightedDiv.style.background = unselectedColor;
        
    var touchable = getTouchable(event.target);
    if (touchable == null) {
        highlightedDiv = null;
    }
});

hammer.on("swiperight dragright", function (event) {
    var touchable = getTouchable(event.target);
    if(touchable.id == "toggle-lock" && document.getElementById("myonoffswitch").checked == false) {
        ToggleLock();
    }
});

hammer.on("swipeleft dragleft", function (event) {
    var touchable = getTouchable(event.target);
    if(touchable.id == "toggle-lock" && document.getElementById("myonoffswitch").checked == true) {
        ToggleLock();
    }
});