
var highlightedDiv = false;

var unselectedColor = "#fff";
var highlightedColor = "#90c7eb";

function Replace(content) {
    var results = document.querySelectorAll(".feed");
    for (var i = 0; i < results.length; i++) {
      var item = results.item(i);
      item.parentNode.removeChild(item);
    }
    var feedsDiv = document.getElementById("feeds");
    feedsDiv.innerHTML = content;
}


function StartGroupcast() {
    ddx.send("StartGroupcast");
}


function FeedSelected(feedId) {
    ddx.send("FeedSelected", feedId);
}


function Dismiss() {
    ddx.send("Dismiss");
}

function PostLayout() {

    new FastButton(document.getElementById("backdrop"), Dismiss);
    AdjustSize();
}


hammer.on("touch", function(event) {
    var touchable = getTouchable(event.target);
    if (touchable == null) {
        highlightedDiv = null;
        return;
    }
    highlightedDiv = touchable;
    unselectedColor = highlightedDiv.style.background;
    highlightedDiv.style.background = highlightedColor;
});
hammer.on("release", function(event) {
    if(highlightedDiv != null) 
        highlightedDiv.style.background = unselectedColor;
        
    var touchable = getTouchable(event.target);
    if (touchable == null) {
        highlightedDiv = null;
    }
});

hammer.on("tap", function (event) {
    var touchable = getTouchable(event.target);
    if (touchable == null)
        return true;
    var parts = touchable.getAttribute("data-touchable").split(':');
    if (parts[0] == "feed") {
        FeedSelected(parts[1]);
        return false;
    }
    
    return true;
});