function SetPreviewImage(imageUrl)
{
    var preview = document.getElementById("preview-image");
    preview.src = imageUrl;
}

function SetProgress(percentComplete)
{
    var progress = document.getElementById("progress-overlay");
    progress.style.visibility = "visible";
    
    progress.innerHTML = percentComplete + "%";
    
    if (percentComplete >= 98)
    {
        progress.style.visibility = "hidden";
        
        var preview = document.getElementById("preview");
        if (preview != null)
            preview.style.backgroundColor = "transparent";
        
        var sendButton = document.getElementById("send-button");
        if (sendButton != null) {
            sendButton.style.backgroundColor = "#2eacd4";
            sendButton.innerHTML = "<% LocalizedSend %>";
            sendButton.style.backgroundImage = "none";
        }
    }
}

function Send()
{
    ddx.send("Send");
}

function PostLayout()
{
}