var iScrollObj = null;
var categoriesIScrollObj = null;
var currentContentWidth = <% ScrollerWidth %> + 'px';
var currentContentHeight = <% ScrollerHeight %> + 'px';
var currentCategoryDiv = null;

var currentCategoriesContentWidth = <% ScrollerWidth %> + 'px';
var categoriesCount = 0;
var currentCategory;

var currentPage = 0;
var NumberOfPages = 0;
var numberPerPage = 1;
var currentContentCount = 0;
var DotMargin = 7;
var Dots_str = "";

function setDots() {
	Dots_str = "";
	var active = "active";

	for (var i = 0; i < NumberOfPages; i++) {
		Dots_str = Dots_str + "<div class=\"dot " + active + "\" id=\"dot" + i + "\"></div>";
		active = "inactive";
	}
}

function ReplaceContent(content) {
	setDots();

	var dotsDiv = document.getElementById("dots");
	dotsDiv.style.width = ((NumberOfPages * (numberPerPage + DotMargin)) + DotMargin) + 'px';
	dotsDiv.style.marginLeft = "-" + (((NumberOfPages * (numberPerPage + DotMargin)) + DotMargin) / 2) + 'px';
	dotsDiv.style.display = "block";
	dotsDiv.innerHTML = Dots_str;

	for(var i = 0; i < NumberOfPages; i++) {
        document.getElementById("dot"+i).style.marginLeft = DotMargin + 'px';
	}

    var contentDiv = document.getElementById("sticker-content");
    contentDiv.style.width = currentContentWidth + 'px';
    contentDiv.style.height = currentContentHeight + 'px';
    contentDiv.style.paddingTop = 20 + 'px';
    contentDiv.innerHTML = content;

    var scroller = document.getElementById("scroller");
    scroller.style.width = <% ScrollerWidth %>;
    scroller.style.height = <% ScrollerHeight %>;
    
 /*   alert('wrapper width: ' + scroller.style.width);
    alert('wrapper height: ' + scroller.style.height);
    
    alert('content width: ' + contentDiv.style.width);
    alert('content height: ' + contentDiv.style.height);*/
    
    //iScroll = new iScroll('scroller', { snap: true, momentum: true, hScrollbar: false, vScrollbar: false });
    if (iScrollObj != null) {
        setTimeout(RefreshIScroll, 0);
    } else {
        setTimeout(InitIScroll, 0);
    }
}

function RefreshIScroll() {
    if (iScrollObj != null) {
        iScrollObj.refresh();
        iScrollObj.scrollToPage(0,0,0);
    }
}

function ScrollHandler() {
    if(currentPage == iScrollObj.currPageX) {
        return;
    }
    currentPage = iScrollObj.currPageX;

    for(var i = 0; i < NumberOfPages; i++) {
        document.getElementById("dot"+i).className = "dot inactive";
        document.getElementById("dot"+i).style.marginLeft = DotMargin + 'px';
    }

    document.getElementById("dot" + currentPage).className = "dot active";
}

function InitIScroll() {
    if (iScrollObj != null) {
        iScrollObj.destroy();
        iScrollObj = null;
    }
    iScrollObj = new iScroll('scroller', {  snap: true,
                                            momentum: false,
                                            hScrollbar: false, 
                                            vScrollbar: false,
                                            vScroll: false, 
                                            hScroll: true,
                                            onScrollStart: ScrollHandler,
                                            onScrollMove: ScrollHandler,
                                            onScrollEnd: ScrollHandler  });
}

function RefreshCategoriesIScroll() {
    if (categoriesIScrollObj != null) {
        categoriesIScrollObj.refresh();
                categoriesIScrollObj.scrollToPage(0,0,0);
    }
}

function InitCategoriesIScroll() {
    if (categoriesIScrollObj != null) {
        categoriesIScrollObj.destroy();
        categoriesIScrollObj = null;
    }
    categoriesIScrollObj = new iScroll('categories-scroller', {
                                            bounce: false,
                                            momentum: true,
                                            hScrollbar: false, 
                                            vScrollbar: false,
                                            vScroll: false, 
                                            hScroll: true  });
}

function ReplaceCategories(categories) {
    currentCategoriesContentWidth = categories.Width;
    categoriesCount = categories.Count;
    var content = categories.Content;
    var contentDiv = document.getElementById("bottom-bar");
    contentDiv.style.width = currentCategoriesContentWidth + 'px';
    contentDiv.style.height = <% BottomBarHeight %>;

    contentDiv.innerHTML = content;

    var scroller = document.getElementById("categories-scroller");
    scroller.style.width = <% ScrollerWidth %>;
    scroller.style.height = <% BottomBarHeight %>;
    
    if (categoriesIScrollObj != null) {
        setTimeout(RefreshCategoriesIScroll, 0);
    } else {
        setTimeout(InitCategoriesIScroll, 0);
    }

    CategorySelected (categories.CurrentCategoryId);
}

function SetCurrentContentWidth(width) {
    currentContentWidth = width;
}

function SetCurrentContentCount(count) {
    currentContentCount = count;
}

function SetNumberOfPages(number)
{
    NumberOfPages = Math.ceil(number/numberPerPage);
}

function SetCurrentContent(content) {
    numberPerPage = content.StickersPerPage;
    SetNumberOfPages(content.Count);
    SetCurrentContentCount(content.Count);
    SetCurrentContentWidth (content.Width);
    ReplaceContent(content.Content);
}

var stickerBlockade = false;
function StickerSelected(stickerId) {
    if (!stickerBlockade) {
      stickerBlockade = true;
      ddx.send("StickerSelected", stickerId);
      setTimeout(function() { stickerBlockade = false; }, 1000);
    }
}

function CustomStickerSelected(stickerId) {
    if (!stickerBlockade) {
      stickerBlockade = true;
      ddx.send("CustomStickerSelected", stickerId);
      setTimeout(function() { stickerBlockade = false; }, 1000);
    }
}

function RecentStickerSelected(stickerId) {
    if (!stickerBlockade) {
      stickerBlockade = true;
      ddx.send("RecentStickerSelected", stickerId);
      setTimeout(function() { stickerBlockade = false; }, 1000);
    }
}

function CategorySelected(categoryId) {
    // If the user tapped the sticker store category,
    // we only want to forward the event to the HTMLProvider.
    // We do NOT want the sticker store button to appear
    // selected in the UI
    currentCategory = categoryId;
    if (categoryId == categoriesCount + 1) {
        ddx.send("CategorySelected", categoryId);
        return;
    }
    // categoryId == CategoriesCount is for Custom Sticker
    // categoryId == CategoriesCount + 2 is for recent sticker

    if (currentCategoryDiv != null)
    {
        currentCategoryDiv.style.backgroundColor = 'transparent';
        currentCategoryDiv.style.color = '#606061';
    }
    
    currentCategoryDiv = document.getElementById('category-'+categoryId);
    currentCategoryDiv.style.backgroundColor = '#c3c5c6';
    currentCategoryDiv.style.color = '#ffffff';
    
    ddx.send("CategorySelected", categoryId);
}

function SlidingStateChanged() {}

function PostLayout() {

}

hammer.on("tap", function (event) {
    var touchable = getTouchable(event.target);
    if (touchable == null)
        return true;

    var parts = touchable.getAttribute("data-touchable").split(':');
    if (parts[0] == "category") {
        CategorySelected(parts[1]);
        return false;
    } else if (parts[0] == "sticker") {
        StickerSelected(parts[1]);
        return false;
    } else if (parts[0] == "custom") {
		CustomStickerSelected(parts[1]);
		return false;
	} else if (parts[0] == "recent") {
        RecentStickerSelected(parts[1]);
        return false;
    }
    
    return true;
});

function CustomStickerLongPressed(stickerId) {
    if (!stickerBlockade) {
      stickerBlockade = true;
      ddx.send("CustomStickerLongPressed", stickerId);
      setTimeout(function() { stickerBlockade = false; }, 1000);
    }
}

hammer.on("hold", function (event) {
    var touchable = getTouchable(event.target);
    if (touchable == null)
        return true;

    var parts = touchable.getAttribute("data-touchable").split(':');
	var recentCategory = parseInt(categoriesCount) + 2;
	if ((parts[0] == "custom") && (currentCategory != recentCategory)) {
		CustomStickerLongPressed(parts[1]);
		return false;
	}
    
    return true;
});
